Skip to main content

Detach Security Groups from a Cluster

Detaches one or more security groups from the cluster's nodes. Send security_group_ids - a non-empty list of security group IDs (from Attached Security Groups). Use the cluster service_id.

POST/api/v1/kubernetes/detach-security-group/{service_id}/

Path parameters

  • service_idPathintegerrequired

    The cluster service_id, as returned by List.

    • required
    • must be a valid cluster service ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the cluster.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Request body

application/json

object

Security groups to detach from the cluster.

security_group_idsarrayrequired

IDs of the security groups to detach (from Attached Security Groups).

  • required
  • non-empty list of valid security group IDs

Responses

200Successful response
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleSecurity Group Detached Successfully